apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  name: "vsr"
spec:
  running: true
  template:
    metadata:
      labels:
        kubevirt.io/domain: vsr
    spec:
      domain:
        devices:
          disks:
            - name: cdisk
              disk: {}
            - name: cloudinitdisk
              disk: {}
          interfaces:
            - name: default
              bridge: {}
            - name: sriov
              sriov: {}
        resources:
          requests:
            memory: "8Gi"
            cpu: "4"
          limits:
            memory: "8Gi"
            cpu: "4"
      networks:
        - name: default
          pod: {}
        - name: sriov
          multus:
            networkName: multus-intel-sriov-nic-vsr
      accessCredentials:
      - sshPublicKey:
          source:
            secret:
              secretName: my-pub-key
          propagationMethod:
            noCloud: {}
      volumes:
      - name: cdisk
        containerDisk:
              image: 195.154.27.62:5000/vsr:3.9.6.1
      - name: cloudinitdisk
        cloudInitNoCloud:
          userData: |-
            #cloud-config